package fr.plnech.dunbar

import android.graphics.Bitmap
import android.provider.ContactsContract

data class Friend(val map: MutableMap<String, String?>, val photo: Bitmap?) {
    override fun toString(): String = "$id: $name ($timesContacted times, last $lastTime)"

    val name: String?
        get() = map[ContactsContract.Contacts.DISPLAY_NAME]

    val id: String
        get() = map[ContactsContract.Contacts._ID]!!

    val lastTime: String?
        get() = map[ContactsContract.Contacts.LAST_TIME_CONTACTED]

    val timesContacted: String?
        get() = map[ContactsContract.Contacts.TIMES_CONTACTED]

    val isYou: String?
        get() = map[ContactsContract.Contacts.IS_USER_PROFILE]

    val visibleOutsideSearch: String?
        get() = map[ContactsContract.Contacts.IN_DEFAULT_DIRECTORY]
}